/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010-2014, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_functions_mkdir
#define headerfile_winix_functions_mkdir

#include "functionbase.h"

namespace Winix
{


namespace Fun
{


class Mkdir : public FunctionBase
{
public:

	Mkdir();
	bool HasAccess();
	void MakePost();

private:

	bool HasAccess(const Item & item); // !! moze to powinien byc skladnik modelu?
	bool FunMkdirCheckAccess();
	void PostFunMkdir(bool add_to_dir_tab, int privileges);
};


} // namespace

} // namespace Winix

#endif
