/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2014, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "logout.h"



namespace Winix
{



namespace Fun
{


Logout::Logout()
{
	fun.url = L"logout";
}



void Logout::MakeGet()
{
	if( cur->session->puser )
	{
		system->users.LogoutCurrentUser();
		system->RedirectToLastItem();
	}
}


} // namespace

} // namespace Winix

