/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010-2014, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_functions_priv
#define headerfile_winix_functions_priv

#include "functionbase.h"
#include "privchanger.h"

namespace Winix
{


namespace Fun
{


class Priv : public FunctionBase
{
public:

	Priv();
	void MakePost();
	void MakeGet();

private:

	PrivChanger priv_changer;
};


} // namespace

} // namespace Winix


#endif
