/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2012-2014, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_functions_rmuser
#define headerfile_winix_functions_rmuser

#include "functionbase.h"

namespace Winix
{

namespace Fun
{


class RmUser : public FunctionBase
{
public:

	RmUser();

	bool HasAccess();
	void MakeGet();
	void MakePost();

	bool RemoveUser(long user_id);


private:

	std::wstring name;

};


} // namespace

} // namespace Winix

#endif
